-- Set the varriable total such that the spec will spash on the screen longer when you first log in or load
local total = -1000



-- Set the initial spec image
local f = CreateFrame("Frame",nil,UIParent,onUpdate,event)
	f:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
	f:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED") -- clears the splash if you do something
	f:RegisterEvent("PLAYER_STARTED_MOVING") -- clears the splash if you move
	f:RegisterEvent("PLAYER_ENTERING_WORLD") -- resplash when you load
	f:SetFrameStrata("BACKGROUND")
	f:SetWidth(90) -- Set these to whatever height/width is needed 
	f:SetHeight(90) -- for your Texture

	local t = f:CreateTexture(nil,"BACKGROUND")

	f.text = f:CreateFontString(nil, "BACKGROUND", "PVPInfoTextFont")
	f.text:SetPoint("CENTER", 0, -60)
	f:SetAlpha(1)


if (UnitClass("player")) == "Demon Hunter" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_demonhunter_torment.blp")
		f.text:SetText("HAVOC")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_demonhunter_blur.blp")
		f.text:SetText("VENGENCE")
	end
end
if (UnitClass("player")) == "Druid" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\Ability_Druid_Starfall.blp")
		f.text:SetText("BALANCE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_druid_supriseattack.blp")
		f.text:SetText("FERAL")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\Ability_Druid_ChallangingRoar.blp")
		f.text:SetText("GUARDIAN")
	end
	if GetSpecialization() == 4 then
		t:SetTexture("Interface\\ICONS\\Spell_Nature_ResistNature.blp")
		f.text:SetText("RESTORATION")
	end
end
if (UnitClass("player")) == "Death Knight" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_deathknight_sanguinfortitude.blp")
		f.text:SetText("BLOOD")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_deathknight_icygrip.blp")
		f.text:SetText("FROST")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\Spell_Deathknight_PlagueStrike.blp")
		f.text:SetText("UNHOLY")
	end
end
if (UnitClass("player")) == "Hunter" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_bestialdiscipline.blp")
		f.text:SetText("BEAST MASTER")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_zenarchery.blp")
		f.text:SetText("MARKSMANSHIP")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_camouflage.blp")
		f.text:SetText("SURVIVAL")
	end
end
if (UnitClass("player")) == "Mage" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_mage_presenceofmind.blp")
		f.text:SetText("ARCANE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_mage_infernoblast.blp")
		f.text:SetText("FIRE")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_frost_glacier.blp")
		f.text:SetText("FROST")
	end
end
if (UnitClass("player")) == "Monk" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_monk_clashingoxcharge.blp")
		f.text:SetText("BREWMASTER")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_monk_renewingmists.blp")
		f.text:SetText("MISTWEAVER")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_skyreach_four_wind.blp")
		f.text:SetText("WINDWALKER")
	end
end
if (UnitClass("player")) == "Paladin" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_paladin_toweroflight.blp")
		f.text:SetText("HOLY")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_holy_avengersshield.blp")
		f.text:SetText("PROTECTION")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\inv_sword_2h_artifactashbringerpurified_d_03.blp")
		f.text:SetText("RETRIBUTION")
	end
end
if (UnitClass("player")) == "Priest" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_priest_angelicbulwark.blp")
		f.text:SetText("DISCIPLINE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_priest_ascendance.blp")
		f.text:SetText("HOLY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_shadow_mindshear.blp")
		f.text:SetText("SHADOW")
	end
end
if (UnitClass("player")) == "Rogue" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_rogue_nightblade.blp")
		f.text:SetText("ASSASSINATION")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\Inv_sword_30.blp")
		f.text:SetText("OUTLAW")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_rogue_surpriseattack2.blp")
		f.text:SetText("SUBTLETY")
	end
end
if (UnitClass("player")) == "Shaman" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_shaman_lavaflow.blp")
		f.text:SetText("ELEMENTAL")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\shaman_pvp_thundercharge.blp")
		f.text:SetText("ENHANCEMENT")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_nature_riptide.blp")
		f.text:SetText("RESTORATION")
	end
end
if (UnitClass("player")) == "Warlock" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_warlock_eradication.blp")
		f.text:SetText("AFFLICTION")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_shadow_demonicpact.blp")
		f.text:SetText("DEMONOLOGY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_warlock_backdraftgreen.blp")
		f.text:SetText("DESTRUCTION")
	end
end
if (UnitClass("player")) == "Warrior" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_warrior_unrelentingassault.blp")
		f.text:SetText("ARMS")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_warrior_rampage.blp")
		f.text:SetText("FURY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_defend.blp")
		f.text:SetText("PROTECTION")
	end
end

	t:SetAllPoints(f)
	f.texture = t

	f:SetPoint("CENTER",0,0)
	f:Show()





local function onUpdate(self,elapsed)

	if total >= -1000 then
		total = total + elapsed
	end

    if total >= 3 then
        total = -10000
	f:Hide()
    end
end







-- Splash the screen again if you respec
local function tallentrespec(self, event, elapsed, ...)
	if (event == "ACTIVE_TALENT_GROUP_CHANGED") then
		f:Show()
		total = 0
	end
	if (event == "PLAYER_STARTED_MOVING") then
		if total <= -1 then
			f:Hide()
		end
	end
	if (event == "PLAYER_ENTERING_WORLD") then
		f:Show()
		total = -1000
	end




if (UnitClass("player")) == "Demon Hunter" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_demonhunter_torment.blp")
		f.text:SetText("HAVOC")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_demonhunter_blur.blp")
		f.text:SetText("VENGENCE")
	end
end
if (UnitClass("player")) == "Druid" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\Ability_Druid_Starfall.blp")
		f.text:SetText("BALANCE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_druid_supriseattack.blp")
		f.text:SetText("FERAL")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\Ability_Druid_ChallangingRoar.blp")
		f.text:SetText("GUARDIAN")
	end
	if GetSpecialization() == 4 then
		t:SetTexture("Interface\\ICONS\\Spell_Nature_ResistNature.blp")
		f.text:SetText("RESTORATION")
	end
end
if (UnitClass("player")) == "Death Knight" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_deathknight_sanguinfortitude.blp")
		f.text:SetText("BLOOD")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_deathknight_icygrip.blp")
		f.text:SetText("FROST")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\Spell_Deathknight_PlagueStrike.blp")
		f.text:SetText("UNHOLY")
	end
end
if (UnitClass("player")) == "Hunter" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_bestialdiscipline.blp")
		f.text:SetText("BEAST MASTER")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_zenarchery.blp")
		f.text:SetText("MARKSMANSHIP")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_hunter_camouflage.blp")
		f.text:SetText("SURVIVAL")
	end
end
if (UnitClass("player")) == "Mage" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_mage_presenceofmind.blp")
		f.text:SetText("ARCANE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_mage_infernoblast.blp")
		f.text:SetText("FIRE")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_frost_glacier.blp")
		f.text:SetText("FROST")
	end
end
if (UnitClass("player")) == "Monk" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_monk_clashingoxcharge.blp")
		f.text:SetText("BREWMASTER")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_monk_renewingmists.blp")
		f.text:SetText("MISTWEAVER")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_skyreach_four_wind.blp")
		f.text:SetText("WINDWALKER")
	end
end
if (UnitClass("player")) == "Paladin" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_paladin_toweroflight.blp")
		f.text:SetText("HOLY")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_holy_avengersshield.blp")
		f.text:SetText("PROTECTION")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\inv_sword_2h_artifactashbringerpurified_d_03.blp")
		f.text:SetText("RETRIBUTION")
	end
end
if (UnitClass("player")) == "Priest" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_priest_angelicbulwark.blp")
		f.text:SetText("DISCIPLINE")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_priest_ascendance.blp")
		f.text:SetText("HOLY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_shadow_mindshear.blp")
		f.text:SetText("SHADOW")
	end
end
if (UnitClass("player")) == "Rogue" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_rogue_nightblade.blp")
		f.text:SetText("ASSASSINATION")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\Inv_sword_30.blp")
		f.text:SetText("OUTLAW")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_rogue_surpriseattack2.blp")
		f.text:SetText("SUBTLETY")
	end
end
if (UnitClass("player")) == "Shaman" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\spell_shaman_lavaflow.blp")
		f.text:SetText("ELEMENTAL")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\shaman_pvp_thundercharge.blp")
		f.text:SetText("ENHANCEMENT")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\spell_nature_riptide.blp")
		f.text:SetText("RESTORATION")
	end
end
if (UnitClass("player")) == "Warlock" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_warlock_eradication.blp")
		f.text:SetText("AFFLICTION")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\spell_shadow_demonicpact.blp")
		f.text:SetText("DEMONOLOGY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_warlock_backdraftgreen.blp")
		f.text:SetText("DESTRUCTION")
	end
end
if (UnitClass("player")) == "Warrior" then
	if GetSpecialization() == 1 then
		t:SetTexture("Interface\\ICONS\\ability_warrior_unrelentingassault.blp")
		f.text:SetText("ARMS")
	end
	if GetSpecialization() == 2 then
		t:SetTexture("Interface\\ICONS\\ability_warrior_rampage.blp")
		f.text:SetText("FURY")
	end
	if GetSpecialization() == 3 then
		t:SetTexture("Interface\\ICONS\\ability_defend.blp")
		f.text:SetText("PROTECTION")
	end
end



end






-- Run the function
f:SetScript("OnUpdate", onUpdate)
f:SetScript("OnEvent", tallentrespec);